using System;

namespace Icarus.Logic.GameEngine 
{
	/// <summary>
	/// This is an adapter of the IGameState stuff, so that we don't have to implement all the functions.
	/// </summary>
	public class GameStateAdapter : IGameState 
	{
		#region IGameState Members

		public virtual void Enter() { }

		public virtual void Step(int millis) { }

		public virtual void RenderState(Icarus.Graphics.Animation.IRenderParameters parameters) { }

		public virtual void Pause() { }

		public virtual void Unpause() { }

		public virtual void Exit() { }

		#endregion
	}
}
